{% extends "infra/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load humanize %}
{% load md2 %}
{% load staticfiles %}

{% block title %}Detalle de equipo{% endblock %}

{% block page %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'gear-list' %}">Equipos Internos</a></li>
		<li class="breadcrumb-item active"><a href="#">ID: {{ object.pk }}</a></li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">Detalles del equipo <small>{{ object.description }}</small></h1>
	<!-- end page-header -->

	<ul class="nav nav-pills mb-2">
		<li class="nav-item">
			<a href="#"class="nav-link active">
				<span class="d-sm-none">General</span>
				<span class="d-sm-block d-none">General</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'gear-gallery' %}">
			<a href="{% url 'gear-gallery' object.pk %}" class="nav-link">
				<span class="d-sm-none">Galería</span>
				<span class="d-sm-block d-none">Galería</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'gear-documents' %}">
			<a href="{% url 'gear-documents' object.pk %}" class="nav-link">
				<span class="d-sm-none">Respaldos</span>
				<span class="d-sm-block d-none">Respaldos</span>
			</a>
		</li>
	</ul>

	<!-- begin row -->
	<div class="row">
		<!-- begin col-6 -->
		<div class="col-xl-6 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Fechas</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
					<div class="note note-primary m-b-15">
						<div class="note-icon"><i class="fa fa-pen"></i></div>
						<div class="note-content">
							<h4><b>Fecha de última modificación</b></h4>
							<p>
								{{ object.modified_at }}
							</p>
						</div>
					</div>
					<div class="note note-green note-with-right-icon m-b-15">
						<div class="note-content text-right">
							<h4><b>Fecha del último respaldo</b></h4>
							<p>
								{{ object.latest_backup_date|default:"Desconocida" }}
							</p>
						</div>
						<div class="note-icon"><i class="fa fa-file-alt"></i></div>
					</div>
					<div class="note note-danger m-b-15">
						<div class="note-icon"><i class="fa fa-calendar-alt"></i></div>
						<div class="note-content">
							<h4><b>Días desde el último respaldo</b></h4>
							<p>
								{{ object.days_since_last_backup|default:"Demasiados" }}
							</p>
						</div>
					</div>
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
			
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-2">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Registro de actividad</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
					<table class="table table-striped table-bordered">
						<thead>
							<tr>
								<th>Actividad</th>
								<th>Fecha</th>
							</tr>
						</thead>
						<tbody>
							{% for activity in object.action_log %}
								<tr>
									<td><span class="text-primary">{{ activity.user }}</span> {{ activity.action }} {% if activity.changes %}<strong>{{activity.changes|join:", "}}</strong>.{% else %} este servicio.{% endif %}</td><td title="{{ activity.dt }}">{{ activity.dt|naturaltime }}</td>
								</tr>
							{% endfor %}
						</tbody>
					</table>
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
		<!-- end col-6 -->
		<!-- begin col-6 -->
		<div class="col-xl-6 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-4">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Datos generales</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
					{% if perms.customers.change_gear %}
						<div class="row mb-3">
							<div class="col-sm-12 col-md-12">
							
							</div>
						</div>
					{% endif %}
					<table class="table table-striped">
						<thead>
							<tr>
								<th>Campo</th>
								<th>Valor</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td>MAC</td>
								<td>{{ object.mac }}</td>
							</tr>
							<tr>
								<td>Descripción</td>
								<td>{{ object.description }}</td>
							</tr>
							<tr>
								<td>Modelo</td>
								<td>{{ object.kind }}</td>
							</tr>
							<tr>
								<td>IP</td>
								<td>{{ object.ip }}</td>
							</tr>
							<tr>
								<td>Management VLAN</td>
								<td>{{ object.vlan }}</td>
							</tr>
							<tr>
								<td>Nodo</td>
								<td>{{ object.node }}</td>
							</tr>
							<tr>
								<td>Firmware Version</td>
								<td>{{ object.firmware_version|default:"Desconocida" }}</td>
							</tr>
							<tr>
								<td>Notas Internas</td>
								<td>{{ object.notes|default:"Sin notas"|markdown }}</td>
							</tr>
						</tbody>
					</table>

				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
		<!-- end col-6 -->
	</div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
	<!-- end scroll to top btn -->

{% endblock page %}





      





	

	
